﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 510A: (1 year) VER IEEE /9500/600+4Hd
DATE:                  2017-03-27 11:41:25
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       224
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        Tektronix TDS 510A Digitizing Oscilloscope
#        Service Manual, Part No. 070-9704-02
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V

  1.012  IF           NOT(VERSIONCHECK("7.3.38"))
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method

  1.020  DISP         Ensure a minimum UUT warm-up time of at least
  1.020  DISP         20 minutes has been allowed to elapse, prior
  1.020  DISP         to beginning verification.

  1.021  HEAD         UUT IDENTIFICATION
  1.022  TARGET
  1.023  CALL         Sub TDS500/600/700 Setup IEEE
  1.024  IEEE2        *RST;DESE 61
  1.025  WAIT         -t 4 System Initializing ...

  1.026  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.027  MATH         @UUT_Model         = "TDS 510A"
  1.028  MATH         @UUT_AssetNum      = UUT()

  1.029  IF           NOT(EMPTY(@UUT_AssetNum))
  1.030  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.031  ENDIF

  1.032  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.033  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

  1.037  HEAD         EQUIPMENT REQUIREMENTS
  1.038  OPBR         -z Do you want to REVIEW the list of additional
  1.038  OPBR         equipment and/or accessories required?

  1.039  IF           MEM1
  1.040  DISP         The following additional equipment and/or accessories
  1.040  DISP         are required:
  1.040  DISP
  1.040  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.040  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.040  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.040  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.040  DISP         - Dual Input Coupler (BNC)
  1.040  DISP         - 50 Ohm Feedthrough (BNC)
  1.041  ENDIF

  1.042  CALL         Sub TDS500A Specifications
  1.043  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.044  JMPL         END                          @Abort
  1.045  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.046  JMPL         END                          @Abort

  1.047  MATH         @SourceChanNum = 4

  1.048  MATH         @Chan = 1
  1.049  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.052  MATH         @Chan = 3
  1.053  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.054  MATH         @Chan = 4
  1.055  CALL         Sub TDS500A (1 yr) DC Offset IEEE

  1.056  MATH         @Chan = 1
  1.057  M9500                       CH1
  1.058  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /9500
  1.059  MATH         @Chan = 2
  1.060  M9500                       CH2
  1.061  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /9500
  1.062  MATH         @Chan = 3
  1.063  M9500                       CH3
  1.064  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /9500
  1.065  MATH         @Chan = 4
  1.066  M9500                       CH4
  1.067  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /9500

  1.068  MATH         @Chan = 1
  1.069  M9500                       CH1
  1.070  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.071  MATH         @Chan = 2
  1.072  M9500                       CH2
  1.073  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.074  MATH         @Chan = 3
  1.075  M9500                       CH3
  1.076  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.077  MATH         @Chan = 4
  1.078  M9500                       CH4
  1.079  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.080  JMPL         TIMEBASE_TRIGGER

  1.081  LABEL        DELAY_MATCH
  1.082  MATH         @Chan = 1
  1.083  M9500                       CH1
  1.084  CALL         Sub TDS500A (1 yr) Delay Match IEEE /9500
  1.085  JMPL         OUTPUT_SIGNAL

  1.086  LABEL        TIMEBASE_TRIGGER
  1.087  MATH         @Chan = 1
  1.088  M9500                       CH1
  1.089  CALL         Sub TDS500A (1 yr) Time Base IEEE /9500
  1.090  CALL         Sub TDS500A (1 yr) Trig Time Acc IEEE /9500

  1.091  MATH         @Chan = 1
  1.092  M9500                       CH1
  1.093  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.094  OPBR         -z Each channel trig sensitivity test will take about
  1.094  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.094  OPBR         channels to save time, unless desired.
  1.094  OPBR
  1.094  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.094  OPBR         3, and 4?
  1.095  MATH         @TestCh234Sens = MEM1
  1.096  JMPL         MAIN_TRIG_SENS_CH2

  1.097  LABEL        AUX_TRIG_IN
  1.098  MATH         @Chan = 1
  1.099  M9500                       CH14
  1.100  CALL         Sub TDS510A/54xA (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.101  JMPL         DELAY_MATCH

  1.102  LABEL        MAIN_TRIG_SENS_CH2

  1.103  IF           @TestCh234Sens
  1.104  MATH         Time = 3 * @OptChSensTime
  1.105  DISP         The next routine operator intervention occurs
  1.105  DISP         in approximately [V Time] minutes...
  1.106  MATH         @Chan = 2
  1.107  M9500                       CH2
  1.108  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.109  MATH         @Chan = 3
  1.110  M9500                       CH3
  1.111  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.112  MATH         @Chan = 4
  1.113  M9500                       CH4
  1.114  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.115  ENDIF

  1.116  JMPL         AUX_TRIG_IN

  1.117  LABEL        OUTPUT_SIGNAL
  1.118  M9500                       CH1
  1.119  CALL         Sub TDS510A/54xA (1 yr) Output Signal IEEE /9500

  1.120  M9500                       CH1
  1.121  CALL         Sub TDS500A (1 yr) Probe Comp IEEE /9500

  1.122  LABEL        END
  1.123  IEEE2        *RST;DESE 61

  1.124  IF           @Abort
  1.125  DISP         V E R I F I C A T I O N   A B O R T E D
  1.126  ENDIF

  1.127  END
